* , *::before, *::after {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
  min-height: 100%;
  width: 100%;
}

body {
  min-height: 100vh;
  overflow-x: hidden;
}

.uni-app--maxwidth {
  position: relative;
  width: 100%;
  min-height: 100vh;
  max-width: 500px;
  margin: 0 auto;
  overflow: hidden;
}

.uni-app--maxwidth > div {
  min-height: 100vh;
}

.uni-app--maxwidth .u-navbar-fixed {
  width: 100%;
}

.pages-userPages-login .page,
.pages-userPages-lang .page {
  width: 100%;
}

@media (min-width: 528px) {
  body {
    width: auto !important;
    margin: 0 !important;
  }

  .uni-app--maxwidth .u-navbar-fixed {
    left: 50%;
    right: auto;
    max-width: 500px;
    transform: translateX(-50%);
  }
}

.logo {
  display: inline-block;
}

.uni-input-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 40px;
  width: 100%;
}

.uni-input-placeholder {
  display: none;
}

.uni-input-input {
  width: 100%;
  border: 0;
  outline: 0;
  background: transparent;
  text-align: center;
  color: #303133;
  font-size: 14px;
}

.uni-input-input::placeholder {
  color: rgb(192, 196, 204);
  opacity: 1;
}

.login-btn,
.reset-text,
.register-text,
.left-chat,
.right,
.u-cell {
  cursor: pointer;
}

.u-cell.active-language .u-cell__value {
  display: flex;
  align-items: center;
}

.u-cell .u-cell__value {
  margin-left: auto;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  min-width: 20px;
}
